package com.hzya.frame.grpU8.nxproof.pubbmxx.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.grpU8.nxproof.pubbmxx.entity.SenderPubbmxxEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * (Pubbmxx)表服务接口
 *
 * @author makejava
 * @since 2024-06-20 09:48:44
 */
public interface ISenderPubbmxxService extends IBaseService<SenderPubbmxxEntity, String> {

    /**
     *
     * @content 同步部门信息  卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 10:51
     * **/
    Object pubbmxxSynchronization(JSONObject jsonObject);

    /**
     *
     * @content 查询部门信息 卫生院
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 18:57
     * **/
    Object queryEntityPage(JSONObject jsonObject);

    /**
     *
     * @content 查询部门信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/20 18:57
     * **/
    List<SenderPubbmxxEntity> queryEntityPageHealthBureau(SenderPubbmxxEntity senderPubbmxxEntity);

    /**
     *
     * @content 保存部门信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/21 14:12
     * **/
    Object saveEntityHealthBureau(JSONObject jsonObject);

    /**
     *
     * @content 更新部门信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/21 14:16
     * **/
    Object updateEntityHealthBureau(JSONObject jsonObject);

    /**
     *
     * @content 删除部门信息 卫生局
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/8/9 17:29
     * **/
    Object deleteEntityHealthBureau(JSONObject jsonObject);

}
