package com.hzya.frame.ttxofs.dto.kit;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import lombok.Data;

import java.util.List;

/**
 * ofs实物组套查询响应结果
 */
@Data
public class OfsKitOrderSearchResponse extends ReturnMessageBasics {
    public List<OfsKit> data;

    @Data
    public static class OfsKit {
        public KitHeader header;
        public List<KitDetail> details;

        @Data
        public static class KitHeader {
            private String id;
            private String clientCode;
            private String companyCode;
            private String skuCode;
            private String skuName;
            private String finishedGoodsQty;
            private String status;
            private String bomType;
            private String buildInstructions;
            private String created;
            private String createdBy;
            private String lastUpdated;
            private String lastUpdatedBy;
        }

        @Data
        public static class KitDetail {
            private String id;
            private String clientCode;
            private String companyCode;
            private String skuCode;
            private String skuName;
            private String quantityUM;
            private String quantity;
            private String created;
            private String createdBy;
            private String lastUpdated;
            private String lastUpdatedBy;
        }
    }
}
